### Method

# Gdk Eventget_axis

#### Declaration [src]

    gboolean
    gdk_event_get_axis (
      GdkEvent* event,
      GdkAxisUse axis_use,
      double* value
    )

#### Description [src]

Extract the axis value for a particular axis use from an event structure.

To find out which axes are used, use `gdk_device_tool_get_axes()` on the device tool returned by `gdk_event_get_device_tool()`.

#### Parameters

`axis_use`

  Type: `GdkAxisUse`

  The axis use to look for.

`value`

  Type: `double*`

  Location to store the value found.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the specified axis was found, otherwise `FALSE`.